package com.yd.dal.mapper.meta;

import com.yd.dal.entity.meta.MdPractitionerHiringApproveSteps;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface MdPractitionerHiringApproveStepsMapper {
    int deleteByPrimaryKey(Long id);

    int insert(MdPractitionerHiringApproveSteps record);

    int insertSelective(MdPractitionerHiringApproveSteps record);

    MdPractitionerHiringApproveSteps selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(MdPractitionerHiringApproveSteps record);

    int updateByPrimaryKey(MdPractitionerHiringApproveSteps record);

    int updateBatch(List<MdPractitionerHiringApproveSteps> list);

    int updateBatchSelective(List<MdPractitionerHiringApproveSteps> list);

    int batchInsert(@Param("list") List<MdPractitionerHiringApproveSteps> list);

    List<MdPractitionerHiringApproveSteps> findAll();

    List<MdPractitionerHiringApproveSteps> findByPractitionerLevel(String practitionerLevelId);

    List<MdPractitionerHiringApproveSteps> findByAppointedApprovePractitioners(String appointedApprovePractitioners);
}